// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// onEvent('recipes', event => {
    
ServerEvents.recipes(event => {
    event.recipes.create.mixing(Fluid.of('kubejs:ender_jelly', 250), ['minecraft:ender_pearl']).heated().id('bttk:mixing/ender_jelly_fluid')
    event.recipes.create.mixing(Fluid.of('kubejs:ender_jelly', 250), ['#forge:dusts/ender_pearl']).heated().id('bttk:mixing/ender_jelly_fluid_from_dust')

    event.remove('garnished:compacting/ender_jelly')
    event.recipes.create.compacting('2x garnished:ender_jelly', [Fluid.of('kubejs:ender_jelly', 500)]).heated().id('bttk:compacting/ender_jelly')
    
    event.recipes.thermal.pulverizer([Item.of('minecraft:feather', 1).withChance(0.12), Item.of('minecraft:string', 3), Item.of('minecraft:string', 1).withChance(0.48)], 'garnished:chorus_tuft').energy(2000).id('bttk:pulverizer/chorus_tuft')

    event.recipes.create.haunting('garnished:vex_wing', 'minecraft:feather').id('bttk:haunting/vex_wing')

    event.remove('garnished:farseer_brew')
    // event.recipes.thermal.smelter('garnished:farseer_brew', ['']).energy(8000)
    // event.recipes.create.mixing(Fluid.of('kubejs:peculiar_mixture', 250), ['garnished:aureate_shrub', 'garnished:preliminary_nucleus', 'garnished:vex_wing', 'minecraft:dragon_breath']).superheated().id('bttk:mixing/peculiar_mixture')
    // event.recipes.create.filling('garnished:farseer_brew', ['minecraft:bowl', Fluid.of('kubejs:peculiar_mixture', 500)]).id('bttk:filling/farseer_brew')
    event.recipes.create.mixing('garnished:farseer_brew', ['minecraft:bowl', 'garnished:aureate_shrub', 'garnished:preliminary_nucleus', 'garnished:vex_wing', 'minecraft:dragon_breath']).superheated().id('bttk:mixing/farseer_brew')
})